StdMathLib.h File Reference
`#include <OpenEXR/OpenEXRConfig.h>`
`#include <OpenEXR/ImathBox.h>`
`#include <OpenEXR/ImathBoxAlgo.h>`
`#include <OpenEXR/ImathColor.h>`
`#include <OpenEXR/ImathHalfLimits.h>`
`#include <OpenEXR/ImathMatrix.h>`
`#include <OpenEXR/ImathMatrixAlgo.h>`
`#include <OpenEXR/ImathPlane.h>`
`#include <OpenEXR/ImathRandom.h>`
`#include <OpenEXR/ImathRoots.h>`
`#include <OpenEXR/ImathVec.h>`
`#include <OpenEXR/half.h>`
`#include "ns.h"`

Go to the source code of this file.

## Macros

#define | COMBINED_OPENEXR_VERSION
#define | FIELD3D_BOX_T Imath::Box
#define | FIELD3D_CLIP Imath::clip
#define | FIELD3D_EXTRACT_SHRT Imath::extractSHRT
#define | FIELD3D_LERP Imath::lerp
#define | FIELD3D_LERPFACTOR Imath::lerpfactor
#define | FIELD3D_MTX_T Imath::Matrix44
#define | FIELD3D_RAND48 Imath::Rand48
#define | FIELD3D_VEC3_T Imath::Vec3

## Typedefs

typedef Imath::Line3d | Ray3d
typedef Imath::Vec3< half > | V3h

## Variables

FIELD3D_NAMESPACE_OPENtypedef ::half | half

## Macro Definition Documentation

## COMBINED_OPENEXR_VERSION

#define COMBINED_OPENEXR_VERSION

Value:
((10000*OPENEXR_VERSION_MAJOR) + \
(100*OPENEXR_VERSION_MINOR) + \
OPENEXR_VERSION_PATCH)

Definition at line 44 of file StdMathLib.h.

#define COMBINED_OPENEXR_VERSION ((10000*OPENEXR_VERSION_MAJOR) + \
(100*OPENEXR_VERSION_MINOR) + \
OPENEXR_VERSION_PATCH)

## FIELD3D_BOX_T

#define FIELD3D_BOX_T Imath::Box

Definition at line 98 of file StdMathLib.h.

Referenced by coordinateSystem(), coordinateSystem(), and coordinateSystem().

## FIELD3D_MTX_T

#define FIELD3D_MTX_T Imath::Matrix44

Definition at line 99 of file StdMathLib.h.

Referenced by coordinateSystem().

## FIELD3D_VEC3_T

#define FIELD3D_VEC3_T Imath::Vec3

Definition at line 100 of file StdMathLib.h.

## FIELD3D_CLIP

#define FIELD3D_CLIP Imath::clip

Definition at line 102 of file StdMathLib.h.

## FIELD3D_LERP

#define FIELD3D_LERP Imath::lerp

Definition at line 103 of file StdMathLib.h.

## FIELD3D_LERPFACTOR

#define FIELD3D_LERPFACTOR Imath::lerpfactor

Definition at line 104 of file StdMathLib.h.

## FIELD3D_EXTRACT_SHRT

#define FIELD3D_EXTRACT_SHRT Imath::extractSHRT

Definition at line 105 of file StdMathLib.h.

## FIELD3D_RAND48

#define FIELD3D_RAND48 Imath::Rand48

Definition at line 107 of file StdMathLib.h.

## Typedef Documentation

## V3h

typedef Imath::Vec3<half> V3h

Definition at line 89 of file StdMathLib.h.

## Ray3d

typedef Imath::Line3d Ray3d

Definition at line 94 of file StdMathLib.h.

## Variable Documentation

## half

FIELD3D_NAMESPACE_OPENtypedef ::half half

Definition at line 84 of file StdMathLib.h.